/*
 * Segment 2 (KEx),  SWE 2.DE Statischer Import MIF
 * Copyright (C) 2007 BitCtrl Systems GmbH 
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */


package de.bsvrz.kex.mif.mif;

import de.bsvrz.kex.mif.konfigdaten.ImportException;

/**
 * Schnittstelle des Moduls MIF der SWE.
 *
 * @author BitCtrl Systems GmbH, Gieseler
 */
public interface MifDatenInterface {

	/**
	 * Mit dieser Methode wird die MIF-Datenbasis eingelesen.
	 *
	 * @param pfadname
	 *            Pfad/Name der einzulesenden MIF-Datenbasis. Aus der Angabe
	 *            werden dann die beiden zu benutzenden Dateien
	 *            &lt;pfadname&gt;.mif und &lt;pfadname&gt;.mid gebildet.
	 * @throws ImportException bei Fehlern
	 */
	void importiere(String pfadname) throws ImportException;

	/**
	 * Mit dieser Methode k&ouml;nnen die Header-Informationen der
	 * MIF-Datenbasis abgefragt werden.
	 *
	 * @return {@link MifDatenInfo}
	 */
	MifDatenInfo getinfo();

	/**
	 * Diese Methode gibt eine Liste der importierten MIF-Datenobjekte
	 * zur&uuml;ck, die der &uuml;bergebenen Filterbedingung gen&uuml;gen. Die
	 * Filterbedingung ist ein bestimmter Typ von MIF-Datenobjekten.
	 *
	 * @param filter {@link MifTyp}
	 * @return {@link MifObjekt}[]
	 */
	MifObjekt[] getobjekte(MifTyp filter);

}
